Bug 186 - torque-4.0.0: routing to routing queue does not work
: torque-4.0.0: routing to routing queue does not work
Status: RESOLVED FIXED
Product: TORQUE
pbs_server
: 4.0.*
: PC Linux
: P5 blocker
Assigned To: David Beer
:
:
:
  Show dependency treegraph
 
Reported: 2012-04-25 17:31 MDT by Martin Siegert
Modified: 2012-05-03 13:11 MDT (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Martin Siegert 2012-04-25 17:31:38 MDT
Our torque setup involves a default queue, which is a routing queue.
One of its destinations is a routing queue as well:

create queue default
set queue default queue_type = Route
set queue default route_destinations = atlas
set queue default route_destinations += dev

create queue dev
set queue dev queue_type = Route
set queue dev route_destinations = q1
set queue dev route_destinations += qs
set queue dev route_destinations += ql

(q1, qs, ql are execution queues).
When I submit a job, it always ends up in the dev queue, it never gets
delivered into one of the execution queues. As if routing of jobs is
tried once only (from default to dev).

The setup works without problems under torque-2.5.11.
As a consequence I have not been able to test torque-4.0.0 at all;
I cannot get a single job to run.
Comment 1 David Beer 2012-04-26 13:21:56 MDT
Martin,

I'm looking into a fix for this. To allow you to continue testing - could you
submit directly to the dev queue for now?

David
Comment 2 Ken Nielson 2012-05-01 16:22:59 MDT
Fixed in 4.0.1 revision 6042. Testing 3.0-fixes